/// <reference types="react" />
import { BotType } from "@/types/bot";
import { ChatType } from "@/types/chat";
type ChatContextState = {
    bot: Omit<BotType, "files">;
    setstate: (key: string, value: any) => void;
    chats: ChatType[];
    isBotReplying: boolean;
    jwt: string;
    toggleChat: () => void;
    init: () => void;
    usingTargetedDiv: boolean;
    alert: null | {
        type: "SUCCESS" | "ERROR" | "WARNING";
        message: string;
    };
    setalert: (alert: AlertType) => void;
};
export type AlertType = ChatContextState["alert"];
export declare const defaultChatState: Partial<ChatContextState>;
export declare const ChatContext: import("react").Context<ChatContextState>;
export declare const useChat: () => ChatContextState;
export {};
