import fs from "fs";
import { compileSassAndSave } from "compile-sass";

const path = "./dist/index.css";
const scssPath = "./dist/index.scss";

const data = fs.readFileSync(path, "utf8");

// make html{...} to ...
const replaced = data.replace(/html\s*{[^}]*}/g, (match) => {
  return match.replace(/html\s*{/, "").replace(/}/, "");
});

// make .body{...} to ...
const replaced2 = replaced.replace(/\.body\s*{[^}]*}/g, (match) => {
  return match.replace(/\.body\s*{/, "").replace(/}/, "");
});

const scoped = `.dc { ${replaced2} }`;
fs.writeFileSync(scssPath, scoped);
fs.rmSync(path);

await compileSassAndSave(scssPath, "./dist");
fs.rmSync(scssPath);
