import { useChat } from "@/context";

export default function ConversationStarters({
  onSelect,
}: {
  onSelect: (text: string) => void;
}) {
  const { bot } = useChat();

  return (
    <div className="flex flex-wrap gap-2 px-4 pb-3">
      {bot.conversationStarters.map((starter, i) => {
        return (
          <button
            key={i}
            className="px-2.5 py-1 text-sm rounded-md bg-gray-200 text-black outline-none focus:outline-none"
            onClick={() => onSelect(starter)}
          >
            {starter}
          </button>
        );
      })}
    </div>
  );
}
