import { useMemo } from "react";
import markdownIt from "markdown-it";

export default function MarkdownRender({ content }: { content: string }) {
  const __html = useMemo(() => {
    let html = markdownIt({ linkify: true, html: true }).render(content);
    // remove anything inside 【】
    html = html.replace(/【.*?】/g, "");

    // make a tag open in new tab
    const dom = new DOMParser().parseFromString(html, "text/html");
    const links = dom.querySelectorAll("a");
    links.forEach((link) => {
      link.setAttribute("target", "_blank");
      link.setAttribute("rel", "noopener noreferrer");
    });

    return dom.body.innerHTML;
  }, [content]);

  return <div dangerouslySetInnerHTML={{ __html }} className="markdown" />;
}
