import {
  ChatBubbleBottomCenterIcon,
  XMarkIcon,
} from "@heroicons/react/24/solid";
import classNames from "classnames";

type Props = {
  opened: boolean;
  setopened: (opened: boolean) => void;
  chatOpenText: string;
};

export default function ToggleButton({
  opened,
  setopened,
  chatOpenText = "",
}: Props) {
  return (
    <button
      aria-label="Toggle chat with bot"
      onClick={() => setopened(!opened)}
      className={classNames(
        "fixed bottom-5 right-5 bg-[var(--dc-primary)] text-white rounded-full outline-none flex items-center gap-2 font-medium",
        {
          "p-3": opened || !chatOpenText,
          "py-3 px-4": !opened && chatOpenText,
        }
      )}
    >
      {opened ? (
        <XMarkIcon className="w-7 h-7" />
      ) : (
        <>
          <ChatBubbleBottomCenterIcon className="w-7 h-7" />
          {chatOpenText && <span>{chatOpenText}</span>}
        </>
      )}
    </button>
  );
}
