export enum ErrorType {
  BadRequestError = "BadRequestError",
  NotFoundError = "NotFoundError",
  UnauthorizedError = "UnauthorizedError",
  InternalServerError = "InternalServerError",
}

export interface APIError extends Error {
  statusCode?: number;
}

export class NotFoundError extends Error implements APIError {
  statusCode: number;
  constructor(message: string) {
    super(message);
    this.name = ErrorType.NotFoundError;
    this.statusCode = 404;
  }
}

export class BadRequestError extends Error implements APIError {
  statusCode: number;
  constructor(message: string) {
    super(message);
    this.name = ErrorType.BadRequestError;
    this.statusCode = 400;
  }
}

export class UnauthorizedError extends Error implements APIError {
  statusCode: number;
  constructor(message: string) {
    super(message);
    this.name = ErrorType.UnauthorizedError;
    this.statusCode = 401;
  }
}

export class InternalServerError extends Error implements APIError {
  statusCode: number;
  constructor(message: string) {
    super(message);
    this.name = ErrorType.InternalServerError;
    this.statusCode = 500;
  }
}
