export interface BotType {
  _id: string;
  profilePic?: string;
  userId: string;
  assitantId: string | null;
  name: string;
  instruction: string;
  description?: string;
  model: string;
  infoCollection: InfoCollection;
  cssColor?: string;
  conversationStarters: string[];
  chatOpenText?: string;

  createdAt: Date;
  updatedAt: Date;
}

export type InfoCollection = {
  start: Form | null;
  end: Form | null;
};

export type FormSchemas = "INPUT" | "PHONE";

export type Form = {
  Name?: FormSchemas;
  Email?: FormSchemas;
  Phone?: FormSchemas;
  [key: string]: FormSchemas | undefined;
};
