import { defineConfig } from "vite";
import react from "@vitejs/plugin-react-swc";
import tsconfigPaths from "vite-tsconfig-paths";

// https://vitejs.dev/config/
export default defineConfig({
  base: "./",
  plugins: [react(), tsconfigPaths()],
  build: {
    rollupOptions: {
      output: {
        entryFileNames: "[name].js",
        assetFileNames(chunkInfo) {
          const { name } = chunkInfo;
          if (name?.endsWith(".css")) {
            return "[name].css";
          }
          return "[name].[ext]";
        },
      },
    },
  },
});
